{
    "name": "kalkun-sms/kalkun",
    "description": "Kalkun SMS Manager",
    "type": "project",
    "license": "GPL-2.0-or-later",
    "require": {
        "php": ">=5.6",
        "ext-ctype": "*",
        "ext-curl": "*",
        "ext-hash": "*",
        "ext-intl": "*",
        "ext-json": "*",
        "ext-mbstring": "*",
        "ext-session": "*",
        "codeigniter/framework": "=3.1.13",
        "paragonie/random_compat": ">=2",
        "giggsey/libphonenumber-for-php": "^8.12",
        "league/csv": "^8.2 || ^9.5",
        "datto/json-rpc-http": "^4.0 || ^5.0",
        "kissifrot/php-ixr": "1.8.*",
        "cweagans/composer-patches": "~1.0",
        "econea/nusoap": "^0.9.5.1"
    },
    "require-dev": {
        "phpunit/phpunit": ">=4",
        "kenjis/ci-phpunit-test": ">=1",
        "symfony/dom-crawler": "*",
        "symfony/css-selector": "*"
    },
    "suggest": {
        "ext-ldap": "For phonebook_ldap plugin",
        "ext-mysqli": "To connect to a MySQL database",
        "ext-pgsql": "To connect to a PostgreSQL database",
        "ext-sqlite3": "To connect to a SQLite3 database"
    },
    "extra": {
        "patches": {
            "codeigniter/framework": {
                "Add support for PHP 8.1 (Fixes XML-RPC compatibility with PHP 8)": "patches/Codeigniter_Framework/v3.1.13/10-php81_Fixes_XML-RPC_compatibility_with_PHP_8.patch",
                "Add support for PHP 8.2 (part1)": "patches/Codeigniter_Framework/v3.1.13/10-php82_support.patch",
                "Add support for PHP 8.2 (part2)": "patches/Codeigniter_Framework/v3.1.13/10-php82_support-part2.patch",
                "Add support for PHP 8.2 (part3)": "patches/Codeigniter_Framework/v3.1.13/10-php82_support-part3-fix_string_interpolation.patch",
                "Add support for PHP 8.4 (E_STRICT)": "patches/Codeigniter_Framework/v3.1.13/11-php84_support_E_STRICT.patch",
                "Add support for PHP 8.4 (implicit nullable type)": "patches/Codeigniter_Framework/v3.1.13/11-php84_support_fix_implicit_nullable_type_error.patch",
                "Add support for PHP 8.4 (xmlrpc)": "patches/Codeigniter_Framework/v3.1.13/11-php84_xmlrpc.patch",
                "Add support for PHP 8.4 (session sid)": "patches/Codeigniter_Framework/v3.1.13/11-php84_support_session.sid_length_INI_setting_is_deprecated.patch",
                "Reinitialize static variable when switching database": "patches/Codeigniter_Framework/v3.1.13/20-reinit_static_variable_when_switching_db_in_tests.patch"
            },
            "datto/json-rpc": {
                "Fix PHP8.4 deprecation": "patches/Datto_JsonRpc/v6.1.0/0001-fix-deprecation-error-on-PHP-8.4.patch"
            },
            "datto/json-rpc-http": {
                "Fix 'Undefined variable $http_response_header'": "patches/Datto_JsonRpcHttp/v5.0.6/0001-Fix-Undefined-variable-http_response_header.patch",
                "Fix PHP8.1 deprecation": "patches/Datto_JsonRpcHttp/v5.0.6/0002-fix-deprecation-error-on-ErrorException-since-PHP-8..patch",
                "Fix PHP8.3 deprecation on stream_context_set_options()": "patches/Datto_JsonRpcHttp/v5.0.6/0003-fix-deprecation-error-on-PHP-8.3-on-stream_context_s.patch",
                "Fix PHP8.4 deprecation": "patches/Datto_JsonRpcHttp/v5.0.6/0004-fix-deprecation-error-on-PHP-8.4.patch"
            },
            "econea/nusoap": {
                "Fix PHP8.4 deprecation on xml_set_object()": "patches/Econea_Nusoap/v0.9.17/0001-fix-deprecation-warning-on-PHP-8.4-with-xml_set_obje.patch",
                "Check if $_SERVER['SERVER_NAME'] is set": "patches/Econea_Nusoap/v0.9.17/0002-check-if-SERVER_NAME-is-set.patch",
                "Revert & fix regression in 0.9.18": "patches/Econea_Nusoap/v0.9.18/0002-revert_fix_in_0.9.18.patch"
            },
            "kenjis/ci-phpunit-test": {
                "Add support for PHP 8.2": "patches/Kenjis_CiPhpunitTest/v3.0.4/support_php-8.2.patch"
            }
        }
    },
    "config": {
        "allow-plugins": {
            "cweagans/composer-patches": true
        }
    }
}
